2023-01-30 12:56 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004811BackToTheFuture2[All Projects] Generalpublic2022-12-17 23:20
Reporterransom 
Assigned ToStingRayProject InfoBack To The Future 2 (Imageworks/Images)
http://www.whdload.de/games/BackToTheFuture2.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0004811: Game freezes when intro is left running Intermitted freeses ingame if you skip
DescriptionGameVersion: english,pal,2 disks BackToTheFuturePart2_v1.2_0005
SlaveVersion: 1.2 from 13.10.1999

Game freezes when intro is left running
Intermitted freeses ingame if you skip intro and start the game on level 1.
I do see there are quite al ot of reports about this game.. Here is my request to see if it is at all possible to fix this slave?
TagsNo tags attached.
MachineA1200
CPU68020
CPUSpeed7
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem4 MB
WorkbenchOS 3.1.4
KickROM45 - Kick 3.1.4
KickSoftNone
WHDLoad18.5
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0011613

Radertified (developer)

Last edited: 2022-07-29 03:02

View 2 revisions

I was going to attempt this one myself but lately I've had no time at all for Amiga stuff, so I'm just curious if there's been any progress on it. I've verified that it's still problematic with the latest WinUAE + WHDLoad.

note ~0012133

StingRay (developer)

I have fixed this years ago (back in 2015 already), freezes are caused by buggy level 2 interrupt code. I have restarted the work on the updated patch today, it will be available in the next days!

note ~0012144

StingRay (developer)

Updated patch is now available, game does not freeze anymore.
+Notes

-Issue History
Date Modified Username Field Change
2020-10-04 17:39 administrator New Issue
2021-05-23 14:13 StingRay Assigned To => StingRay
2021-05-23 14:13 StingRay Status new => assigned
2022-07-29 03:02 Radertified Note Added: 0011613
2022-07-29 03:02 Radertified Note Edited: 0011613 View Revisions
2022-12-17 13:20 StingRay Note Added: 0012133
2022-12-17 23:20 StingRay Note Added: 0012144
2022-12-17 23:20 StingRay Status assigned => resolved
2022-12-17 23:20 StingRay Resolution open => fixed
+Issue History